/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.caseprojectfeature.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 案例-主要项目特征Entity
 * @author fgy
 * @version 2018-01-24
 */
public class CaseProjectFeature extends DataEntity<CaseProjectFeature> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 特征项
	private String value;		// 特征值
	private String caseId;		// 案例id
	
	public CaseProjectFeature() {
		super();
	}

	public CaseProjectFeature(String id){
		super(id);
	}

	@ExcelField(title="特征项", align=2, sort=7)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="特征值", align=2, sort=8)
	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}
	
	@ExcelField(title="案例id", align=2, sort=9)
	public String getCaseId() {
		return caseId;
	}

	public void setCaseId(String caseId) {
		this.caseId = caseId;
	}
	
}